## org.apache.lucene.queryParser.standard.nodes
Class RangeQueryNode

    java.lang.Object
      org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
          org.apache.lucene.queryParser.core.nodes.ParametricRangeQueryNode
              org.apache.lucene.queryParser.standard.nodes.RangeQueryNode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, FieldableNode, QueryNode

    public class RangeQueryNode

extends ParametricRangeQueryNode

This query node represents a range query. It also holds which collator will be used by the range query and if the constant score rewrite is enabled.

See Also:
  `ParametricRangeQueryNodeProcessor`, `RangeCollatorAttribute`, `RangeQuery`, Serialized Form

Field Summary

Fields inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

Constructor Summary
`RangeQueryNode(ParametricQueryNode lower, ParametricQueryNode upper, java.text.Collator collator)`

Method Summary
`java.text.Collator` `getCollator()`
`java.lang.String` `toString()` Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

Methods inherited from class org.apache.lucene.queryParser.core.nodes.ParametricRangeQueryNode
`cloneTree, getField, getLowerBound, getUpperBound, setField, toQueryString`

Methods inherited from class org.apache.lucene.queryParser.core.nodes.QueryNodeImpl
`add, add, allocate, clone, containsTag, getChildren, getParent, getTag, getTags, isDefaultField, isLeaf, isRoot, set, setLeaf, setTag, unsetTag`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.lucene.queryParser.core.nodes.QueryNode
`add, add, containsTag, getChildren, getParent, getTag, getTags, isLeaf, set, setTag, unsetTag`

Constructor Detail

### RangeQueryNode

    public RangeQueryNode(ParametricQueryNode lower,
                          ParametricQueryNode upper,
                          java.text.Collator collator)

Parameters:
  `lower` -
  `upper` -

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `QueryNodeImpl`
  Every implementation of this class should return pseudo xml like this: For FieldQueryNode:

  Specified by:
    `toString` in interface `QueryNode`
  Overrides:
    `toString` in class `ParametricRangeQueryNode`
  See Also:
    `QueryNode.toString()`

### getCollator

    public java.text.Collator getCollator()

  Returns:
    the collator

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.